package com.liquidnet.service.sweet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 防疫答题表
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SweetAntigenicQuestion implements Serializable {

    private static final long serialVersionUID = 1268639425174449151L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    /**
     * question_id
     */
    private String questionId;

    /**
     * 活动类型 1MDSK防疫答题 2草莓防疫答题
     */
    private Integer type;

    /**
     * openId
     */
    @TableField("openId")
    private String openId;

    /**
     * unionId
     */
    @TableField("unionId")
    private String unionId;

    /**
     * 姓名
     */
    private String nickname;

    /**
     * 居住地址
     */
    private String address;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 紧急联系人电话
     */
    private String urgentPhone;

    /**
     * 答案
     */
    private String keyword1;

    /**
     * 答案补充
     */
    private String keyword11;

    /**
     * 答案
     */
    private String keyword2;

    /**
     * 答案
     */
    private String keyword3;

    /**
     * 答案
     */
    private String keyword4;

    /**
     * 答案
     */
    private String keyword5;

    /**
     * 答案
     */
    private String keyword6;

    /**
     * 答案
     */
    private String keyword7;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 更新时间
     */
    private LocalDateTime updatedAt;


}
